#include<iostream>
#include<sstream>
#include<stack>
#include<string>

#include "entier.h"
#include "plus.h"
#include "moins.h"
#include "mult.h"

using namespace std;

class Parseur {
  private:
    istringstream texte_exp;
    stack<Expression*> exps_vues;
    Expression* read_int(int first);
    Expression* pop_arg();
    bool estBinOp(int c);
    Expression* construitBinExp(int c, Expression* gauche, Expression* droite);
  public:
    Parseur(string expression_texte) {
      texte_exp.str(expression_texte);
    } 
    Expression* parse();
};

