#ifndef __BINOP_H_INCLUDED
#define __BINOP_H_INCLUDED

#include "expression.h"
#include <string>

using namespace std;

class BinOp : public Expression {
  protected:
    Expression * gauche;
    Expression * droite;
    string op; // modif 3
  public:
    BinOp(Expression * g, Expression * d) : gauche(g), droite(d){
      // modification 2: detecter x
      contient_x = g->contient_x || d->contient_x ;
    };
    // modification 3: ajout d'une fonction affiche
    string affiche(){
      string res = string("(") + gauche->affiche();
      res+= op + droite->affiche() + ")";
      return res;
    }
};

#endif
