#ifndef __PLUS_H_INCLUDED
#define __PLUS_H_INCLUDED

#include "binop.h"

class Plus : public BinOp {
  public:
    Plus(Expression* gauche, Expression* droite) : BinOp(gauche,droite) {
      op = string(" + "); // modif 3
    };
    // modification2: ajout de val_x en paramètre 
    int calcule(int val_x) {
      return gauche->calcule(val_x) + droite->calcule(val_x);
    }
};

#endif
