#ifndef __MOINS_H_INCLUDED
#define __MOINS_H_INCLUDED

#include "binop.h"

class Moins : public BinOp {
  public:
    Moins(Expression* gauche, Expression* droite) : BinOp(gauche,droite) {};
    int calcule() {
      return gauche->calcule() - droite->calcule();
    }
};

#endif
