#ifndef __MULT_H_INCLUDED
#define __MULT_H_INCLUDED

#include "binop.h"

class Mult : public BinOp {
  public:
    Mult(Expression* gauche, Expression* droite) : BinOp(gauche,droite) {
      op = string(" * "); // modif 3
    };
    // modification2: ajout de val_x en paramètre 
    int calcule(int val_x) {
      return gauche->calcule(val_x) * droite->calcule(val_x);
    }
};

#endif
